#if !defined(AFX_DLGINFOTRIANGLE_H__76FBA2C1_E9ED_11D3_B460_000001200881__INCLUDED_)
#define AFX_DLGINFOTRIANGLE_H__76FBA2C1_E9ED_11D3_B460_000001200881__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgInfoTriangle.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgInfoTriangle dialog
#include "TerrainType.h"
#include "MakeTerrainDoc.h"



class CDlgInfoTriangle : public CDialog
{
// Construction
public:
	CDlgInfoTriangle(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgInfoTriangle)
	enum { IDD = IDD_DLG_INFO_TRIANGLE };
	float	PX1;
	float	PX2;
	float	PX3;
	float	PY1;
	float	PY2;
	float	PY3;
	float	PZ1;
	float	PZ2;
	float	PZ3;
	float	AngX;
	float	AngZ;
	int		IndexFacette;
	float	AngZCalc;
	float	AngXCalc;
	float	AdjX;
	float	AdjZ;
	float	OppX;
	float	OppZ;
	//}}AFX_DATA

	FACETTE_TERRE * pFacette;
	CMakeTerrainDoc * pDoc;

public:
	void SetPoint (int no,float x,float y,float z);
	void SetFacette (FACETTE_TERRE * pFacetteInit) {pFacette = pFacetteInit;}
	void SetFacetteIndex (int IndexInit) {IndexFacette = IndexInit;}
	void SetDoc (CMakeTerrainDoc * pDocInit) {pDoc = pDocInit;}
	void CalculAngle ();




// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgInfoTriangle)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgInfoTriangle)
	virtual BOOL OnInitDialog();
	afx_msg void OnCalcul();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGINFOTRIANGLE_H__76FBA2C1_E9ED_11D3_B460_000001200881__INCLUDED_)
