// MakeTerrain.h : main header file for the MAKETERRAIN application
//

#if !defined(AFX_MAKETERRAIN_H__087325E5_662A_11D3_B45E_000001200881__INCLUDED_)
#define AFX_MAKETERRAIN_H__087325E5_662A_11D3_B45E_000001200881__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMakeTerrainApp:
// See MakeTerrain.cpp for the implementation of this class
//
class CMakeTerrainApp : public CWinApp
{
	CString PrevFileNameObject;
public:
	CMakeTerrainApp();

	BOOL SelectTexture (int index);
	BOOL DeleteTexture (int index);
	HBITMAP GetTextureHandle (int index);
	void SetInfo (CString str);
	void ChargerObjet (CString FileName);
	BOOL SelectDetailTexture (int index);



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMakeTerrainApp)
	public:
	virtual BOOL InitInstance();
	virtual BOOL OnIdle(LONG lCount);
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CMakeTerrainApp)
	afx_msg void OnAppAbout();
	afx_msg void OnAvance();
	afx_msg void OnMove();
	afx_msg void OnArrondir();
	afx_msg void OnDraw();
	afx_msg void OnMoveLumiere();
	afx_msg void OnMoveLumiereY();
	afx_msg void OnUpdateArrondir(CCmdUI* pCmdUI);
	afx_msg void OnUpdateAvance(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMove(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMoveLumiere(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMoveLumiereY(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDraw(CCmdUI* pCmdUI);
	afx_msg void OnEnableLight();
	afx_msg void OnUpdateEnableLight(CCmdUI* pCmdUI);
	afx_msg void OnFacette();
	afx_msg void OnUpdateFacette(CCmdUI* pCmdUI);
	afx_msg void OnMouseConfig();
	afx_msg void OnColline();
	afx_msg void OnUpdateColline(CCmdUI* pCmdUI);
	afx_msg void OnRotate();
	afx_msg void OnUpdateRotate(CCmdUI* pCmdUI);
	afx_msg void OnCamera();
	afx_msg void OnUpdateCamera(CCmdUI* pCmdUI);
	afx_msg void OnDepShip();
	afx_msg void OnUpdateDepShip(CCmdUI* pCmdUI);
	afx_msg void OnTexture();
	afx_msg void OnUpdateTexture(CCmdUI* pCmdUI);
	afx_msg void OnSelectShip();
	afx_msg void OnSelectTexture();
	afx_msg void OnAvanceAuto();
	afx_msg void OnUpdateAvanceAuto(CCmdUI* pCmdUI);
	afx_msg void OnDeformerTerrain();
	afx_msg void OnTerrainFilaire();
	afx_msg void OnUpdateTerrainFilaire(CCmdUI* pCmdUI);
	afx_msg void OnColineInverse();
	afx_msg void OnUpdateColineInverse(CCmdUI* pCmdUI);
	afx_msg void OnDessinTexture();
	afx_msg void OnUpdateDessinTexture(CCmdUI* pCmdUI);
	afx_msg void OnApplatir();
	afx_msg void OnUpdateApplatir(CCmdUI* pCmdUI);
	afx_msg void OnEnableFog();
	afx_msg void OnUpdateEnableFog(CCmdUI* pCmdUI);
	afx_msg void OnSetMateriel();
	afx_msg void OnEnableMateriel();
	afx_msg void OnUpdateEnableMateriel(CCmdUI* pCmdUI);
	afx_msg void OnWorld();
	afx_msg void OnPinceauCircle();
	afx_msg void OnUpdatePinceauCircle(CCmdUI* pCmdUI);
	afx_msg void OnPinceauSquare();
	afx_msg void OnUpdatePinceauSquare(CCmdUI* pCmdUI);
	afx_msg void OnDessinTextureBlend();
	afx_msg void OnUpdateDessinTextureBlend(CCmdUI* pCmdUI);
	afx_msg void OnLightInit();
	afx_msg void OnConfigFog();
	afx_msg void OnTerrainFacette();
	afx_msg void OnUpdateTerrainFacette(CCmdUI* pCmdUI);
	afx_msg void OnTerrainPoint();
	afx_msg void OnUpdateTerrainPoint(CCmdUI* pCmdUI);
	afx_msg void OnSelectShipBis();
	afx_msg void OnUpdateSelectShipBis(CCmdUI* pCmdUI);
	afx_msg void OnLineariser();
	afx_msg void OnRandom();
	afx_msg void OnLoadMapping();
	afx_msg void OnUpdateColor();
	afx_msg void OnCameraReset();
	afx_msg void OnUpdateCameraReset(CCmdUI* pCmdUI);
	afx_msg void OnDrawTerrainOnMousse();
	afx_msg void OnUpdateDrawTerrainOnMousse(CCmdUI* pCmdUI);
	afx_msg void OnSetChunk();
	afx_msg void OnNewTerrain();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAKETERRAIN_H__087325E5_662A_11D3_B45E_000001200881__INCLUDED_)
